Subject: oops!

From: "mirjam.nieman" <[email-masked]>
Date: 3 Nov 1996 16:19:09 -0000

R. Anold suggested I forward my e-mail about the cultivation of Amanita
muscaria to the newsgroup today (it is called toadstool-fixer needed) - but
I forgot to replace his e-mail address. A thousand excuses everybody! Mine
is: [email-masked]